## bzr-svn 0.4.9

=== Makefile ===
DEBUGGER ?= 
BZR ?= $(shell which bzr)
PYTHON ?= $(shell which python)
SETUP ?= ./setup.py
PYDOCTOR ?= pydoctor
CTAGS ?= ctags
PYLINT ?= pylint
TESTS ?= svn

all:: build

build::
	$(SETUP) build

build-inplace::
	$(SETUP) build_ext --inplace

install::
	$(SETUP) install

clean::
	$(SETUP) clean

TMP_PLUGINS_DIR = $(shell pwd)/.plugins

$(TMP_PLUGINS_DIR):
	mkdir -p $@

$(TMP_PLUGINS_DIR)/svn: $(TMP_PLUGINS_DIR)
	ln -sf .. $@

check:: build-inplace $(TMP_PLUGINS_DIR)/svn 
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(DEBUGGER) $(PYTHON) $(BZR) selftest $(TEST_OPTIONS) $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

check-one::
	$(MAKE) check TEST_OPTIONS=--one

show-plugins::
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins

lint::
	$(PYLINT) -f parseable *.py */*.py

pydoctor::
	$(PYDOCTOR) --make-html -c bzr-svn.cfg

tags::
	$(CTAGS) -R .

ctags:: tags

## bzr-svn 0.4.10

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 PYDOCTOR ?= pydoctor
 CTAGS ?= ctags
 PYLINT ?= pylint
+RST2HTML ?= rst2html
 TESTS ?= svn
 
-all:: build
+all:: build README.html FAQ.html AUTHORS.html
 
 build::
 	$(SETUP) build
@@ -47,6 +48,9 @@
 pydoctor::
 	$(PYDOCTOR) --make-html -c bzr-svn.cfg
 
+FAQ.html README.html AUTHORS.html: %.html: %
+	$(RST2HTML) $< > $@
+
 tags::
 	$(CTAGS) -R .

## bzr-svn 0.4.13

=== Makefile ===
# Simple Makefile for Bazaar plugin
# Copyright (C) 2008 Jelmer Vernooij <jelmer@samba.org>
#   
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#   
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#   
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

DEBUGGER ?= 
BZR ?= $(shell which bzr)
BZR_OPTIONS ?= 
PYTHON ?= $(shell which python)
SETUP ?= $(PYTHON) ./setup.py
PYDOCTOR ?= pydoctor
CTAGS ?= ctags
PYLINT ?= pylint
RST2HTML ?= $(if $(shell which rst2html.py 2>/dev/null), rst2html.py, rst2html)
TESTS ?= 
DESTDIR ?=

REST_DOCS = README FAQ AUTHORS

all:: build build-inplace $(patsubst %,%.html,$(REST_DOCS))

build::
	$(SETUP) build

build-inplace::
	$(SETUP) build_ext --inplace

build-inplace-debug::
	$(SETUP) build_ext --inplace --debug

install::
ifneq ($(DESTDIR),)
	$(SETUP) install --root "$(DESTDIR)"
else
	$(SETUP) install
endif
 

clean::
	$(SETUP) clean
	rm -f *.so

TMP_PLUGINS_DIR = $(shell pwd)/.plugins

$(TMP_PLUGINS_DIR):
	mkdir -p $@

$(TMP_PLUGINS_DIR)/svn: $(TMP_PLUGINS_DIR)
	ln -sf .. $@

check:: build-inplace $(TMP_PLUGINS_DIR)/svn 
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) --starting-with=bzrlib.plugins.svn $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

check-one::
	$(MAKE) check TEST_OPTIONS=--one

check-random::
	$(MAKE) check TEST_OPTIONS="--random=now --verbose --one"

valgrind-check:: build-inplace-debug
	$(MAKE) check DEBUGGER="valgrind --suppressions=/usr/lib/valgrind/python.supp $(VALGRIND_OPTIONS)"

leak-check:: 
	$(MAKE) valgrind-check VALGRIND_OPTIONS="--leak-check=full --show-reachable=yes --num-callers=200 --leak-resolution=med --log-file=leaks.log"

gdb-check:: build-inplace-debug
	$(MAKE) check DEBUGGER="gdb --args $(GDB_OPTIONS)"

strace-check::
	$(MAKE) check DEBUGGER="strace $(STRACE_OPTIONS)"

show-plugins::
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins

lint::
	$(PYLINT) -f parseable *.py */*.py

pydoctor::
	$(PYDOCTOR) --make-html -c bzr-svn.cfg

FAQ.html README.html AUTHORS.html: %.html: %
	$(RST2HTML) $< > $@

tags::
	$(CTAGS) -R .

ctags:: tags

homepage.html: wiki.py README INSTALL
	python wiki.py | tail -n +2 | rst2html > $@

## bzr-svn 0.5.3

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins
 
 lint::
-	$(PYLINT) -f parseable *.py */*.py
+	PYTHONPATH=$(PYTHONPATH):subvertpy $(PYLINT) -f parseable *.py */*.py
 
 pydoctor::
 	$(PYDOCTOR) --make-html -c bzr-svn.cfg

## bzr-svn 1.0.2

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 CTAGS ?= ctags
 PYLINT ?= pylint
 RST2HTML ?= $(if $(shell which rst2html.py 2>/dev/null), rst2html.py, rst2html)
-TESTS ?= 
+TESTS ?= bzrlib.tests.per_foreign_vcs.*Subversion bzrlib.plugins.svn
 DESTDIR ?=
 
 REST_DOCS = README FAQ AUTHORS
@@ -61,7 +61,10 @@
 	ln -sf .. $@
 
 check:: build-inplace $(TMP_PLUGINS_DIR)/svn 
-	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) --starting-with=bzrlib.plugins.svn $(TESTS)
+	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR):$(BZR_PLUGIN_PATH) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
+
+coverage::
+	$(MAKE) check BZR_OPTIONS="--coverage coverage"
 
 check-verbose::
 	$(MAKE) check TEST_OPTIONS=-v
@@ -85,7 +88,7 @@
 	$(MAKE) check DEBUGGER="strace $(STRACE_OPTIONS)"
 
 show-plugins::
-	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins
+	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR):$(BZR_PLUGIN_PATH) $(BZR) plugins
 
 lint::
 	PYTHONPATH=$(PYTHONPATH):subvertpy $(PYLINT) -f parseable *.py */*.py

=== debian/changelog ===
bzr-svn (1.0.2-2) unstable; urgency=low

  * Mark as compatible with Bazaar 2.1.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Feb 2010 23:25:44 +0100

bzr-svn (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Remove Reinhard from uploaders. Closes: #565128

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jan 2010 09:54:43 +1300

bzr-svn (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 24 Sep 2009 14:22:07 +0200

bzr-svn (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Sep 2009 14:49:25 +0200

bzr-svn (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 03 Aug 2009 15:48:15 +0200

bzr-svn (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jul 2009 13:26:29 +0200

bzr-svn (0.6.2-1) unstable; urgency=low

  * New upstream snapshot.
  * Allow python-sqlite to not be installed if python-tdb is installed.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Jun 2009 16:30:56 +0200

bzr-svn (0.6.1+bzr3022-1) unstable; urgency=low

  * New upstream snapshot.
   + Ignores older versions of tdb.
  * Recommend recent version of tdb.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Jun 2009 16:58:02 +0200

bzr-svn (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Add python-tdb and python-xdg to Recommends.
  * Drop bzr-rebase from Recommends to Suggests.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 May 2009 18:42:50 +0200

bzr-svn (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 May 2009 18:15:31 +0200

bzr-svn (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 09 Apr 2009 00:14:26 +0200

bzr-svn (0.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Mar 2009 14:38:42 +0100

bzr-svn (0.5.2-1) experimental; urgency=medium

  * New upstream release.
   + Fixes installation of cache module.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 18 Feb 2009 09:13:53 +0100

bzr-svn (0.5.1-1) experimental; urgency=low

  * New upstream release.
   + Improves performance on "wide" repositories. (Closes: #513412)
   + Handle repository UUID changes for round-tripped revisions. 
     (Closes: #512325)

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Feb 2009 20:15:11 +0100

bzr-svn (0.5.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 03 Feb 2009 13:57:37 +0100

bzr-svn (0.5.0~rc2~bzr2391-1) experimental; urgency=low

  * New upstream snapshot.
   + New dependency python-subvertpy, as subvertpy is now split out.
   + Fixes handling of bzr-svn roundtripped revisions in Subversion 
     repositories of which the UUID has changed. (Closes: #512325)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 Jan 2009 20:15:45 +0100

bzr-svn (0.5.0~rc1+bzr2300-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes handling of multiple forward slashes in URLs. (Closes: #507887)
   + Fixes compatibility with Bazaar 1.11.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Jan 2009 17:21:12 +0100

bzr-svn (0.5.0~rc1+bzr2238-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes subvertpy installation directory.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 08 Dec 2008 16:22:42 +0100

bzr-svn (0.5.0~rc1-1) experimental; urgency=low

  * New upstream release. 
   + No longer creates spurious commits when creating a new branch. (Closes: #460454)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 08 Dec 2008 04:05:49 +0100

bzr-svn (0.4.16-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 04 Dec 2008 16:08:19 +0100

bzr-svn (0.4.15-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 10 Nov 2008 02:31:45 +0100

bzr-svn (0.4.14-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 03 Nov 2008 14:56:09 +0100

bzr-svn (0.4.13-4) experimental; urgency=low

  * Hide incompatibility warnings.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 14 Oct 2008 19:42:03 +0200

bzr-svn (0.4.13-3) experimental; urgency=low

  * Mark as compatible with the bzr 1.8 series.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 08 Oct 2008 16:36:16 +0200

bzr-svn (0.4.13-2) experimental; urgency=low

  * Allow use with bzr 1.7.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 24 Sep 2008 18:10:52 +0200

bzr-svn (0.4.13-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 24 Sep 2008 18:05:54 +0200

bzr-svn (0.4.12-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 01 Sep 2008 16:59:26 +0200

bzr-svn (0.4.11-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 26 Aug 2008 22:44:20 +0200

bzr-svn (0.4.11~rc2-1) experimental; urgency=low

  * New upstream release.
   + Improves speed of commit and push significantly. (Closes: #482271)
   + Handles HTTP redirects better. (Closes: #491829)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 25 Aug 2008 23:54:05 +0200

bzr-svn (0.4.11~rc1-3) experimental; urgency=low

  * Fix dependency on python-all-dev. (Closes: #496213)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 25 Aug 2008 22:56:36 +0200

bzr-svn (0.4.11~rc1-2) experimental; urgency=low

  * Add build-dependency on python-dev. (Closes: #494769)

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 21 Aug 2008 00:55:01 +0200

bzr-svn (0.4.11~rc1-1) experimental; urgency=low

  * New upstream release.


=== debian/control ===
Source: bzr-svn
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Homepage: http://bazaar-vcs.org/BzrSvn
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Robert Collins <robertc@robertcollins.net>
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), bzr (>= 1.16~), python (>= 2.5), python-subvertpy (>> 0.6.1)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable

Package: bzr-svn
Architecture: all
Depends: bzr (>= 1.16~), bzr (<< 2.2~), ${python:Depends}, ${misc:Depends}, python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>> 0.6.1)
Enhances: bzr, subversion
Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg
Suggests: bzr-rebase (>= 0.5.0)
Conflicts: bzr-rebase (<< 0.5.0)
XB-Python-Version: ${python:Versions}
Description: Bazaar plugin providing Subversion integration
 Plugin for Bazaar that adds the ability to read and commit to
 branches stored in Subversion.
 .
 Also included is a bzr subcommand that allows converting
 complete Subversion repositories to Bazaar repositories.

## bzr-svn 1.0.3

=== debian/changelog ===
bzr-svn (1.0.3-1) unstable; urgency=low

  * New upstream release.
   + Provides BranchConfig._get_change_editor. Closes: #572109
   + Supports more trunk layout levels. Closes: #573988
  * Bump standards version to 3.9.1.
  * Mark as supporting bzr 2.2.
  * Suggest bzr-rewrite rather than bzr-rebase. LP: #481730

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 30 Jul 2010 23:14:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Homepage: http://bazaar-vcs.org/BzrSvn
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Robert Collins <robertc@robertcollins.net>
 Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), bzr (>= 1.16~), python (>= 2.5), python-subvertpy (>> 0.6.1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable
 
 Package: bzr-svn
 Architecture: all
-Depends: bzr (>= 1.16~), bzr (<< 2.2~), ${python:Depends}, ${misc:Depends}, python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>> 0.6.1)
+Depends: bzr (>= 1.16~), bzr (<< 2.3~), ${python:Depends}, ${misc:Depends}, python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>> 0.6.1)
 Enhances: bzr, subversion
 Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg
-Suggests: bzr-rebase (>= 0.5.0)
+Suggests: bzr-rewrite
 Conflicts: bzr-rebase (<< 0.5.0)
 XB-Python-Version: ${python:Versions}
 Description: Bazaar plugin providing Subversion integration

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_DOCS_ALL += FAQ

clean::
	-rm -rf build test*.tmp 
	find . -name "*.pyc" -print0 | xargs -0 rm -f

## bzr-svn 1.0.4+bzr3475

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 CTAGS ?= ctags
 PYLINT ?= pylint
 RST2HTML ?= $(if $(shell which rst2html.py 2>/dev/null), rst2html.py, rst2html)
-TESTS ?= bzrlib.tests.per_foreign_vcs.*Subversion bzrlib.plugins.svn
+TESTS ?= -s bp.svn
 DESTDIR ?=
 
 REST_DOCS = README FAQ AUTHORS
@@ -46,22 +46,13 @@
 else
 	$(SETUP) install
 endif
- 
 
 clean::
 	$(SETUP) clean
 	rm -f *.so
 
-TMP_PLUGINS_DIR = $(shell pwd)/.plugins
-
-$(TMP_PLUGINS_DIR):
-	mkdir -p $@
-
-$(TMP_PLUGINS_DIR)/svn: $(TMP_PLUGINS_DIR)
-	ln -sf .. $@
-
-check:: build-inplace $(TMP_PLUGINS_DIR)/svn 
-	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR):$(BZR_PLUGIN_PATH) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
+check:: build-inplace
+	BZR_PLUGINS_AT=svn@$(shell pwd) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
 
 coverage::
 	$(MAKE) check BZR_OPTIONS="--coverage coverage"
@@ -88,7 +79,7 @@
 	$(MAKE) check DEBUGGER="strace $(STRACE_OPTIONS)"
 
 show-plugins::
-	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR):$(BZR_PLUGIN_PATH) $(BZR) plugins
+	BZR_PLUGINS_AT=svn@$(shell pwd) $(BZR) plugins -v
 
 lint::
 	PYTHONPATH=$(PYTHONPATH):subvertpy $(PYLINT) -f parseable *.py */*.py

=== debian/changelog ===
bzr-svn (1.0.4+bzr3475-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Oct 2010 11:19:43 +0200

bzr-svn (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 30 Aug 2010 01:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Homepage: http://bazaar-vcs.org/BzrSvn
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Robert Collins <robertc@robertcollins.net>
-Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), bzr (>= 1.16~), python (>= 2.5), python-subvertpy (>> 0.6.1)
+Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), bzr (>= 2.0~), python (>= 2.5), python-subvertpy (>> 0.6.1), bzr (<< 2.4~), python-subvertpy (>= 0.6.1~)
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable
 
 Package: bzr-svn
 Architecture: all
-Depends: bzr (>= 1.16~), bzr (<< 2.3~), ${python:Depends}, ${misc:Depends}, python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>> 0.6.1)
+Depends: bzr (>= 2.0~), bzr (<< 2.4~), ${python:Depends}, ${misc:Depends}, python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.6.1~)
 Enhances: bzr, subversion
 Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg
 Suggests: bzr-rewrite

## bzr-svn 1.1.0~bzr3767

=== debian/changelog ===
bzr-svn (1.1.0~bzr3767-1) unstable; urgency=low

  * Run testsuite as part of the build.
  * New upstream snapshot.
   + Now requires subvertpy >= 0.8.0.
   + Compatible with bzr 2.4. LP: #788533, Closes: #601307, #629785, #628973
   + Adds support for revision argument to WorkingTree.update(). LP: #537387
  * Support running the test suite in parallel.
  * Use dh_python2. Closes: #616767
  * Switch to debhelper 7, drop cdbs.
  * Add build dependency on python-bzrlib.tests for newer versions of bzr.
  * Bump standards version to 3.9.2 (no changes).
  * Make python-tdb a build dependency so the relevant test can be run.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Jul 2011 23:59:59 +0200

=== debian/control ===
Source: bzr-svn
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Homepage: http://bazaar-vcs.org/BzrSvn
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Robert Collins <robertc@robertcollins.net>
Build-Depends: bzr (<< 2.5~), bzr (>= 2.3~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-subvertpy (>= 0.8.2+bzr2368), python-tdb (>= 1.1.2~git20081222)
Build-Depends-Indep: python-subunit, python-testtools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable

Package: bzr-svn
Architecture: all
Depends: bzr (<< 2.5~), bzr (>= 2.3~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.2+bzr2368), ${misc:Depends}, ${python:Depends}
Enhances: bzr, subversion
Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg
Breaks: ${python:Breaks}
Suggests: bzr-rewrite
Conflicts: bzr-rebase (<< 0.5.0)
Description: Bazaar plugin providing Subversion integration
 Plugin for Bazaar that adds the ability to read and commit to
 branches stored in Subversion.
 .
 Also included is a bzr subcommand that allows converting
 complete Subversion repositories to Bazaar repositories.

## bzr-svn 1.1.0

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,9 @@
 check:: build-inplace
 	BZR_PLUGINS_AT=svn@$(shell pwd) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
 
+check-all::
+	$(MAKE) check TESTS="^bzrlib.plugins.svn. Subversion Svn"
+
 coverage::
 	$(MAKE) check BZR_OPTIONS="--coverage coverage"

=== debian/changelog ===
bzr-svn (1.1.0-1) unstable; urgency=low

  * New upstream release.
   + Fixes problems with sparse revision caches. LP: #795700, LP: #664085
   + Fixes test run against bzr 2.4.0. LP: #828381

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 26 Aug 2011 19:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://bazaar-vcs.org/BzrSvn
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Robert Collins <robertc@robertcollins.net>
-Build-Depends: bzr (<< 2.5~), bzr (>= 2.3~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-subvertpy (>= 0.8.2+bzr2368), python-tdb (>= 1.1.2~git20081222)
+Build-Depends: bzr (<< 2.6~), bzr (>= 2.3~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-subvertpy (>= 0.8.0~), python-tdb (>= 1.1.2~git20081222)
 Build-Depends-Indep: python-subunit, python-testtools
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
@@ -13,7 +13,7 @@
 
 Package: bzr-svn
 Architecture: all
-Depends: bzr (<< 2.5~), bzr (>= 2.3~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.2+bzr2368), ${misc:Depends}, ${python:Depends}
+Depends: bzr (<< 2.6~), bzr (>= 2.3~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.0~), ${misc:Depends}, ${python:Depends}
 Enhances: bzr, subversion
 Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg
 Breaks: ${python:Breaks}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils --with python2 $*

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -print0 | xargs -0 rm -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(CONCURRENCY) BZR_PLUGINS_AT=svn@$(CURDIR) /usr/bin/bzr selftest \
	    --parallel=fork -v -s bp.svn
endif

## bzr-svn 1.1.1

=== debian/changelog ===
bzr-svn (1.1.1-1) unstable; urgency=low

  * New upstream release.
   + Supports 'bzr break-lock' on svn working trees. LP: #855113
   + Partial commit no longer breaks working tree status. LP: #834918,
     Closes: #586096

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Oct 2011 17:31:31 -0700

bzr-svn (1.1.0+bzr4012-1) unstable; urgency=low

  * New upstream snapshot.
  * Move bzr-builddeb configuration to debian/, to prevent spurious
    diffs. Closes: #643067
  * Fixes handling of files during partial commit. Closes: #586096

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Sep 2011 15:57:12 +0200

=== debian/control ===
Source: bzr-svn
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Homepage: http://bazaar-vcs.org/BzrSvn
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Robert Collins <robertc@robertcollins.net>
Build-Depends: bzr (<< 2.5.0), bzr (>= 2.3~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222)
Build-Depends-Indep: python-subunit, python-testtools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable

Package: bzr-svn
Architecture: all
Depends: bzr (<< 2.5.0), bzr (>= 2.3~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.8~), ${misc:Depends}, ${python:Depends}
Enhances: bzr, subversion
Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg
Suggests: bzr-rewrite
Conflicts: bzr-rebase (<< 0.5.0)
Description: Bazaar plugin providing Subversion integration
 Plugin for Bazaar that adds the ability to read and commit to
 branches stored in Subversion.
 .
 Also included is a bzr subcommand that allows converting
 complete Subversion repositories to Bazaar repositories.

## bzr-svn 1.1.1+bzr4105

=== debian/changelog ===
bzr-svn (1.1.1+bzr4105-2) experimental; urgency=low

  * Run Bazaar interface tests for repositories, working trees, branches
    and control directories.
   + Build depend on bzrlib 2.5.0 beta 3.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Nov 2011 17:21:23 +0100

bzr-svn (1.1.1+bzr4105-1) unstable; urgency=low

  * New upstream snapshot.
   + Drops compatibility with bzr 2.3. Closes: #647944

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 08 Nov 2011 16:23:37 +0100

=== debian/control ===
Source: bzr-svn
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Homepage: http://bazaar-vcs.org/BzrSvn
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Robert Collins <robertc@robertcollins.net>
Build-Depends: python-bzrlib (<< 2.5.0), python-bzrlib (>= 2.5.0~beta3~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests (>= 2.5.0~beta3~), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222), bzr
Build-Depends-Indep: python-subunit, python-testtools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable

Package: bzr-svn
Architecture: all
Depends: python-bzrlib (<< 2.5.0), python-bzrlib (>= 2.4~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.8~), ${misc:Depends}, ${python:Depends}
Enhances: bzr, subversion
Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg, bzr
Suggests: bzr-rewrite
Conflicts: bzr-rebase (<< 0.5.0)
Description: Bazaar plugin providing Subversion integration
 Plugin for Bazaar that adds the ability to read and commit to
 branches stored in Subversion.
 .
 Also included is a bzr subcommand that allows converting
 complete Subversion repositories to Bazaar repositories.

## bzr-svn 1.1.2

=== debian/changelog ===
bzr-svn (1.1.2-1) unstable; urgency=low

  * Update copyright file to match DEP5.
  * New upstream release.
   + Fixes compatibility with newer versions of bzr. LP: #902539
   + Better error message when a commit fails. LP: #890529

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 11 Dec 2011 15:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://bazaar-vcs.org/BzrSvn
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Robert Collins <robertc@robertcollins.net>
-Build-Depends: python-bzrlib (<< 2.5.0), python-bzrlib (>= 2.5.0~beta3~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests (>= 2.5.0~beta3~), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222), bzr
+Build-Depends: python-bzrlib (<< 2.5.0), python-bzrlib (>= 2.4~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests (>= 2.5.0~beta3~), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222), bzr, python-bzrlib (>= 2.4~)
 Build-Depends-Indep: python-subunit, python-testtools
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
@@ -13,7 +13,7 @@
 
 Package: bzr-svn
 Architecture: all
-Depends: python-bzrlib (<< 2.5.0), python-bzrlib (>= 2.4~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.8~), ${misc:Depends}, ${python:Depends}
+Depends: python-bzrlib (<< 2.5.0), python-bzrlib (>= 2.4~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.8~), ${misc:Depends}, ${python:Depends}, python-bzrlib (>= 2.4~)
 Enhances: bzr, subversion
 Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg, bzr
 Suggests: bzr-rewrite

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	$(CONCURRENCY) BZR_PLUGINS_AT=svn@$(CURDIR) /usr/bin/bzr selftest \
-	    --parallel=fork -v -s bp.svn
+	    --parallel=fork -v "^bzrlib.plugins.svn." Subversion Svn
 endif

## bzr-svn 1.2.0

=== debian/changelog ===
bzr-svn (1.2.0-1) unstable; urgency=low

  * Fix format for copyright file.
  * New upstream release.
   + Fixes "tainting" of pycurl HTTPS connections. Closes: #610397,
     LP: #774571
   + Fixes compatibility with newer prereleases of bzr 2.5. Closes: #656864

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Jan 2012 14:46:33 +0100

=== debian/control ===
Source: bzr-svn
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Homepage: http://bazaar-vcs.org/BzrSvn
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Robert Collins <robertc@robertcollins.net>
Build-Depends: python-bzrlib (<< 2.6.0), python-bzrlib (>= 2.5~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests (>= 2.5.0~beta3~), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222), bzr, python-bzrlib (>= 2.5~), locales
Build-Depends-Indep: python-subunit, python-testtools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable

Package: bzr-svn
Architecture: all
Depends: python-bzrlib (<< 2.6.0), python-bzrlib (>= 2.5~), python (>= 2.5) | python-pysqlite2 | python-tdb (>= 1.1.2~git20081222), python-subvertpy (>= 0.8.8~), ${misc:Depends}, ${python:Depends}, python-bzrlib (>= 2.5~)
Enhances: bzr, subversion
Recommends: python-tdb (>= 1.1.2~git20081222), python-xdg, bzr
Suggests: bzr-rewrite
Conflicts: bzr-rebase (<< 0.5.0)
Description: Bazaar plugin providing Subversion integration
 Plugin for Bazaar that adds the ability to read and commit to
 branches stored in Subversion.
 .
 Also included is a bzr subcommand that allows converting
 complete Subversion repositories to Bazaar repositories.

## bzr-svn 1.2.1

=== debian/changelog ===
bzr-svn (1.2.1-1) unstable; urgency=low

  * Fix format string of copyright file.
  * Bump standards version to 3.9.3.
  * Add basic tests for autopkgtest.
  * New upstream release.
   + Fixes tests against newer versions of bzr. Closes: #660730

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Mar 2012 01:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Homepage: http://bazaar-vcs.org/BzrSvn
+Homepage: http://samba.org/~jelmer/bzr-svn/
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Robert Collins <robertc@robertcollins.net>
-Build-Depends: python-bzrlib (<< 2.6.0), python-bzrlib (>= 2.5~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests (>= 2.5.0~beta3~), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222), bzr, python-bzrlib (>= 2.5~), locales
+Build-Depends: python-bzrlib (<< 2.6.0), python-bzrlib (>= 2.5~), debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-bzrlib.tests (>= 2.5.0-2), python-subvertpy (>= 0.8.8~), python-tdb (>= 1.1.2~git20081222), bzr, python-bzrlib (>= 2.5~), locales
 Build-Depends-Indep: python-subunit, python-testtools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-svn/unstable

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	$(CONCURRENCY) BZR_PLUGINS_AT=svn@$(CURDIR) /usr/bin/bzr selftest \
+	LC_ALL=C.UTF-8 $(CONCURRENCY) BZR_PLUGINS_AT=svn@$(CURDIR) /usr/bin/bzr selftest \
 	    --parallel=fork -v "^bzrlib.plugins.svn." Subversion Svn
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/" \
http://samba.org/~jelmer/bzr/bzr-svn-(.*).tar.gz
